EventCollectibles = {
	name = "EventCollectibles",

	-- Default settings
	defaults = {
		filterId = 1,
	},
}
local EventCollectibles = EventCollectibles

local function OnAddOnLoaded( eventCode, addonName )
	if (addonName ~= EventCollectibles.name) then return end

	EVENT_MANAGER:UnregisterForEvent(EventCollectibles.name, EVENT_ADD_ON_LOADED)

	EventCollectibles.vars = ZO_SavedVars:NewAccountWide("EventCollectiblesSavedVariables", 1, nil, EventCollectibles.defaults, nil, "$InstallationWide")

	EventCollectibles.InitializeBrowser()

	ZO_CreateStringId("SI_BINDING_NAME_HOLIDAY_MEMENTO", string.format("%s: %s", GetString(SI_EVENTCOLLECTIBLES_TITLE), GetString(SI_EVENTCOLLECTIBLES_CAKE)))
end

function EventCollectibles.SummonCake( )
	for _, collectibleId in ipairs(EventCollectibles.ext.cakes) do
		if (IsCollectibleUnlocked(collectibleId)) then
			UseCollectible(collectibleId)
			return
		end
	end
end

EVENT_MANAGER:RegisterForEvent(EventCollectibles.name, EVENT_ADD_ON_LOADED, OnAddOnLoaded)
