ZO_CreateStringId("SI_EVENTCOLLECTIBLES_TITLE"              , "Event Collectibles")

ZO_CreateStringId("SI_EVENTCOLLECTIBLES_HEADER_NAME"        , "Name")
ZO_CreateStringId("SI_EVENTCOLLECTIBLES_HEADER_STATUS"      , "Collected")
ZO_CreateStringId("SI_EVENTCOLLECTIBLES_HEADER_CATEGORY"    , "Category")
ZO_CreateStringId("SI_EVENTCOLLECTIBLES_HEADER_SOURCE"      , "Source")

ZO_CreateStringId("SI_EVENTCOLLECTIBLES_COLLECTED_COUNT"    , "%d / %d collected (%d%%)")

ZO_CreateStringId("SI_EVENTCOLLECTIBLES_CAKE"               , "Cake")

ZO_CreateStringId("SI_EVENTCOLLECTIBLES_SOURCE_ALL"         , "All")
ZO_CreateStringId("SI_EVENTCOLLECTIBLES_SOURCE_MORPHS"      , "Event Morphs: <<1>>")
ZO_CreateStringId("SI_EVENTCOLLECTIBLES_SOURCE_MONSTERSETS" , "Monthly Undaunted Sets")


-- Extracted

local EXTRACTED = {
	["99281989-0-15"] = { default = "Murkmire Celebration", de = "„Murkmire“-Feierlichkeiten", es = "Aniversario de Lodazal Lóbrego", fr = "Festivités de Tourbevase", jp = "マークマイアの祝典", ru = "праздник «Мрачных Трясин»", zh = "幽暗沼泽庆典" },
	["99281989-0-23"] = { default = "Undaunted Celebration", de = "Unerschrockenen-Feierlichkeiten", es = "Fiestas Intrépidas", fr = "Anniversaire Indomptable", jp = "アンドーンテッドの祝典", ru = "праздник Неустрашимых", zh = "无畏者庆典" },
	["99281989-0-27"] = { default = "Year One Celebration", de = "Feierlichkeiten zum ersten Jahr", es = "Celebración del Primer Año", fr = "Premier anniversaire", jp = "一周年の祝典", ru = "празднование первого года", zh = "首年庆典" },
	["99281989-0-30"] = { default = "Daedric War Celebration", de = "Feierlichkeiten des daedrischen Krieges", es = "Celebración de la Guerra Daédrica", fr = "Célébration de la guerre daedrique", jp = "デイドラの軍事式典", ru = "праздник войны с даэдра", zh = "魔族战争庆典" },
	["99281989-0-31"] = { default = "Zeal of Zenithar", de = "Zenithars Eifer", es = "Fervor de Zenithar", fr = "Zèle de Zénithar", jp = "ゼニタールの信仰", ru = "Почитание Зенитара", zh = "泽尼萨尔的热忱" },
	["99281989-0-37"] = { default = "Heroes of High Isle", de = "Helden von Hochinsel", es = "Héroes de Isla Alta", fr = "Héros de l'Île-Haute", jp = "ハイ・アイルの英雄", ru = "Герои Высокого острова", zh = "高岛英雄" },
	["99281989-0-38"] = { default = "Season of the Dragon", de = "Saison des Drachen", es = "Temporada del Dragón", fr = "Saison du dragon", jp = "ドラゴンの季節", ru = "Сезон дракона", zh = "龙之季节" },
	["99281989-0-39"] = { default = "Dark Heart of Skyrim", de = "Schwarzes Herz von Skyrim", es = "Corazón Oscuro de Skyrim", fr = "Cœur noir de Skyrim", jp = "スカイリムの闇の中心", ru = "Темное сердце Скайрима", zh = "天际的黑暗之心" },
	["99281989-0-43"] = { default = "Secrets of the Telvanni", de = "Geheimnisse der Telvanni", es = "Secretos de los Telvanni", fr = "Secrets des Telvanni", jp = "テルヴァンニの秘密", ru = "Тайны Телванни", zh = "泰尔瓦尼的秘密" },
	["99281989-0-46"] = { default = "Gates of Oblivion", de = "Tore von Oblivion", es = "Puertas de Oblivion", fr = "Portes d'Oblivion", jp = "オブリビオンの門", ru = "Врата Обливиона", zh = "湮灭之门" },
	["99281989-0-47"] = { default = "Guilds and Glory", de = "Guilds and Glory", es = "Guilds and Glory", fr = "Guildes et Gloire", jp = "ギルドと栄光", ru = "Гильдии и слава", zh = "公会荣耀" },
}

local GetLocalizedData = LibCodesCommonCode.GetLocalizedData
local Localize = function( key )
	return GetLocalizedData(EXTRACTED[key])
end

ZO_CreateStringId("SI_EVENTCOLLECTIBLES_SOURCE_MURKMIRE"    , Localize("99281989-0-15"))
ZO_CreateStringId("SI_EVENTCOLLECTIBLES_SOURCE_UNDAUNTED"   , Localize("99281989-0-23"))
ZO_CreateStringId("SI_EVENTCOLLECTIBLES_SOURCE_YEAR_ONE"    , Localize("99281989-0-27"))
ZO_CreateStringId("SI_EVENTCOLLECTIBLES_SOURCE_DAEDRIC_WAR" , Localize("99281989-0-30"))
ZO_CreateStringId("SI_EVENTCOLLECTIBLES_SOURCE_ZENITHAR"    , Localize("99281989-0-31"))
ZO_CreateStringId("SI_EVENTCOLLECTIBLES_SOURCE_HIGHISLE"    , Localize("99281989-0-37"))
ZO_CreateStringId("SI_EVENTCOLLECTIBLES_SOURCE_DRAGON"      , Localize("99281989-0-38"))
ZO_CreateStringId("SI_EVENTCOLLECTIBLES_SOURCE_DARK_SKYRIM" , Localize("99281989-0-39"))
ZO_CreateStringId("SI_EVENTCOLLECTIBLES_SOURCE_TELVANNI"    , Localize("99281989-0-43"))
ZO_CreateStringId("SI_EVENTCOLLECTIBLES_SOURCE_OBLIVION"    , Localize("99281989-0-46"))
ZO_CreateStringId("SI_EVENTCOLLECTIBLES_SOURCE_GUILDS"      , Localize("99281989-0-47"))
